スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

iOS 3.0から最新までに対応する/iOS 5.0以下に対応する時の注意点

iPhoneのアプリを開発しています。
iOS5用のアプリとして開発してしまいました・・・他のバージョンのiPhoneでは使えませんね。

以下はその時の記録です。


(Xcode4.2.1)
iOS 3.0から最新までに対応する

Build Setting

Architectures
 → armv6(直接「armv6」と記入する)
Base SDK
 → Latest iOS
Build Active Architecture Only
 → No

iOS Deployment Target
 → iOS 3.0

Supporting File

info.plist

Required device capabilities

armv6を追加

armv

追記:
Archive → Validate で引っかかりましたので、iOS 3.0では無く3.1にする事をお勧めします。
どうやらiOS 3.0とarmv7が対立している模様。


iOS 5.0以下に対応する時の注意点

StoryBoardを使わない!

ARCを使わない!

これらはiOS 5.0からの対応みたいです。
プロジェクト作成の時点でチェックを外しておくべきでした><


こちらを参照させていただきました。本当にありがとうございました!!
http://d.hatena.ne.jp/paraches/20111029
http://blog.imho.jp/2011/10/xcode-42iphone-3garmv6.html





スポンサーサイト

テーマ : プログラミング
ジャンル : コンピュータ

-

最新記事

PR

カテゴリ
有力リンク
最新コメント
最新トラックバック
プロフィール

kototoly

Author:kototoly
ひっそりとiPhoneアプリの開発をしています。

<開発記事について>
記事の不備について責任を負い兼ねますので、ご了承ください。

RSSリンクの表示
リンク
QRコード
QR

--Food Drink--
Oven Watt Calc
電子レンジ
時間の再計算

----Music----
Tsans Chrod
簡単入力
移調アプリ
---
Voice Checker
歌や滑舌
練習アプリ

---Lifestyle---
Calc of Time
表示切り替え
時間の電卓
---
Dream Life Planner
夢と目標
人生計画
---
Week Table
一週間・24時間
大人の時間割
---
Many iCounter
いっぱいたくさん
カウンター

--Reference--
Color Checker
ブログ色合い
シュミレート

----Game----
Study Puzzle
落ちものパズル
考察機

---Utilities---
HowSpeed
あなたのiPhone
処理時間は?


上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。